Skip to main content

Check-Out Capture


Use this information to process a check-out capture.

Endpoints

POST /pts/v2/payments/{id}/captures

POST /pts/v2/payments/{id}/captures

The {id} is the transaction ID returned in the authorization response.

Example

{    "clientReferenceInformation": {        "code": "TestCode123",        "comments": "Checkout Capture CP",        "partner": {            "thirdPartyCertificationNumber": "123456789012",            "developerId": "AssignedDevID",            "solutionId": "AssignedSolutionID"        }    },    "orderInformation": {        "amountDetails": {            "totalAmount": "600.00",            "currency": "USD"        }    },    "processingInformation": {        "industryDataType": "lodging"    },    "travelInformation": {        "lodging": {            "checkInDate": "052124",            "checkOutDate": "052224",            "specialProgramCode": "1"        }    },    "pointOfSaleInformation": {        "emv": {            "cardSequenceNumber": "01",            "tags": "9A032203289C01005F2A0206049F1A0206049F02060000000202009F03060000000000005F3401019F36020002820200208407A0000000031010950500000000009F10201F220100A00000000000000000000000000000000000000000000000000000009F2608CE9652E31FCB34C79F2701809F33036068C89F34030200009F3704548FF8CF9F6E0420700000"        }    }}
{    "_links": {        "void": {            "method": "POST",            "href": "/pts/v2/captures/7334467613636968504953/voids"        },        "self": {            "method": "GET",            "href": "/pts/v2/captures/7334467613636968504953"        }    },    "clientReferenceInformation": {        "comments": "Checkout Capture CP",        "code": "TestCode123",        "partner": {            "developerId": "AssignedDevID",            "solutionId": "AssignedSolutionID"        }    },    "id": "7334467613636968504953",    "orderInformation": {        "amountDetails": {            "totalAmount": "600.00",            "currency": "USD"        }    },    "reconciliationId": "214",    "status": "PENDING",    "submitTimeUtc": "2025-12-06T00:59:21Z"}
FieldTypeDescription
clientReferenceInformation.code
clientReferenceInformation.commentsSet the value to Checkout Capture CP.
clientReferenceInformation.partner.developerIdThe value is provided by .
clientReferenceInformation.partner.solutionIdThe value is provided by .
clientReferenceInformation.partner.thirdPartyCertificationNumberThe value is provided by .
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount
pointOfSaleInformation.emv.cardSequenceNumberSet this value to 01.
pointOfSaleInformation.emv.tags
processingInformation.industryDataTypeSet the value to lodging.
travelInformation.lodging.checkInDate
travelInformation.lodging.checkOutDate
travelInformation.lodging.specialProgramCodeSet this value to 1.

Last published: September 29, 2026